-- $Name: Рикки - Тикки - Тави$
-- автор: Дударь Дмитрий, 2011
instead_version "1.3.1"
game.codepage="UTF-8";
-- inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
-- inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
global {
q1 = 0;
q2 = 0;
q3 = 0;
q4 = 0;
q5 = 0;
hp1 = 0;
at1 = 0;
hp2 = 0;
at2 = 0;
}
status = stat {
	nam = function(s)
		p ('Рикки^ HP ',hp2,'^ Атака ', at2*q2);
	end
};
main = room {
     pic = 'data/2.jpg',
	nam = "Рикки - Тикки - Тави";
	obj = {vway("a1", [[Рикки - Тикки - Тави был мангуст. И хвост, и мех у него были
	как у маленькой кошки, а голова и все повадки - как у ласочки. 
	 Рикки мог почесаться, где вздумается, 
	 и так умел он распушить свой хвост, что тот делался похожим на круглую длинную щётку.
	 А его боевой клич звенел в высоких травах: ^- {Рикки - тикки - чик!}]], 'loc1')
	},
	enter = function()
		set_music('data/7.ogg');
	end,
};
act1 = obj{
     nam = 'говорить';
};
act2 = obj{
     nam = 'понюхать';
};
act3 = obj{
     nam = 'укусить';
};
act4 = obj{
     nam = 'прыгнуть';
};
escape1 = obj{
        nam = 'спасение1';
        dsc = [[Рикки вцепился зубами в ветку и держался так, 
	              пока не потерял {сознание}.]];
	    act = function()
	    goto('loc2');
	    end;
};
vetka = obj{
      nam = 'ветка';
      dsc = 'Рядом с Рикки пронеслась {ветка}, отломившаяся от дерева.';
      used = function(s,w)
      if w == act1 then p[[- Спасите, - запищал Рикки.]];end;
      if w == act2 then p[[- Пахнет шансом спастись, - подумал Рикки.]];end;
      if w == act4 then p[[- Я не могу сечас прыгать, - подумал Рикки.]];end;
      if w == act3 then goto('locat2');end;
      end;
};
stone = obj{
      nam = 'камень';
      dsc = 'Мимо проплывала пустая {канистра}.';
      used = function(s,w)
      if w == act1 then p[[- Она не разговаривет, - подумал Рикки.]];end;
      if w == act2 then p[[- Пахнет противно, - подумал Рикки.]];end;
      if w == act3 then p[[- Сначала до неё надо добраться, - подумал Рикки.]];end;
      if w == act4 then goto('locat1');end;
      end;
};
loc1 = room {
     forcedsc = true;
     pic = 'data/3.jpg',
	nam = "Наводнение";
	obj = {stone};
	dsc = [[Однажды летом произошло наводнение. Бурная река вышла из берегов, унося 
	с собой всё, до чего могла дотянуться. Рикки оказался на большом круглом камне, 
	вода с каждой секундой всё больше вымывала почву под ним. А берег был близко и 
	в то же время так далеко.]];
	enter = function()
		set_music('data/5.ogg');
		inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
	end,
};
locat1 = room {
     forcedsc = true;
     pic = 'data/3.jpg',
	nam = "Наводнение";
	obj = {vetka};
	dsc = [[Рикки запрыгнул на канистру, но не удержался  
       и упал в бушуюший поток. Вода понесла его вдоль берега. 
       Он брыкался и барахтался как мог.]];
	enter = function()
		set_music('data/5.ogg');
	end,
};
locat2 = room {
     forcedsc = true;
     pic = 'data/3.jpg',
	nam = "Наводнение";
	dsc = ' - Рикки - тикки - чик!';
	obj = {escape1};
	enter = function()
	inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/5.ogg');
	end,
};

loc2 = room {
     forcedsc = true;
     pic = 'data/4.jpg',
	nam = "Пробуждение";
    obj = {vway("a1", [[Очнулся он на горячем припёке в саду, посередине дорожки, 
    истерзанный и грязный, а какой-то мальчик в это время сказал: 
    ^- Мам, смотри, мёртвый мангуст!
    ^- Нет, - сказала мальчику мать, - возьмём-ка его и обсушим. Может быть, 
    он ещё живой.
    ^Они внесли Рикки в дом, и Большой Человек сказал, что он вовсе не мёртвый. 
    Тогда его завернули в вату и стали согревать у огня. Рикки открыл глаза и чихнул.
    ^- А теперь, - сказал Большой Человек, - не пугайте его, и мы поглядим, 
    что он станет {делать}.]], 'loc3')
	},
	enter = function()
		set_music('data/3.ogg');
	end,
};
teddy = obj{
      nam = 'Тедди';
      dsc = '^На него с интересом смотрел мальчик {Тедди}.';
      used = function(s,w)
      if w == act1 then p[[- Привет! - запищал Рикки. Мальчик улыбнулся.]];end;
      if w == act2 then p[[- Это человек, - подумал Рикки.]];end;
      if w == act3 then p[[- Я не кусаю людей, - подумал Рикки.]];end;
      if w == act4 then 
      if q1 == 0 then p[[- Слишком высоко для меня, - подумал Рикки.]];
      else goto('loc4'); q1 = 0; end;
      end;
      
      end;
};
stol1 = obj{
      nam = 'столик';
      dsc = 'Рикки сидел на столике.';
};
stol = obj{
      nam = 'вата';
      dsc = 'Рикки стоял возле небольшого {столика}.';
      used = function(s,w)
      if w == act1 then p[[- Это же просто столик, - подумал Рикки.]];end;
      if w == act2 then p[[- Пахнет яблоками, - подумал Рикки.]];end;
      if w == act3 then p[[- Он же из дерева, - подумал Рикки.]];end;
      if w == act4 then p'Рикки запрыгнул на столик.'; q1 = 1;
      objs('loc3'):del('stol'); objs('loc3'):add('stol1',2);
      end;
      end;
};
vata = obj{
      nam = 'вата';
      dsc = 'На полу лежала {вата}.';
      used = function(s,w)
      if w == act1 then p[[- Она не ответит, - подумал Рикки.]];end;
      if w == act2 then p[[- Ничем не пахнет, - подумал Рикки.]];end;
      if w == act3 then p[[- Это для меня несъедобно, - подумал Рикки.]];end;
      if w == act4 then p[[- Я уже высушился, - подумал Рикки.]];end;
      end;
};
loc3 = room{
     pic = 'data/5.jpg',
     nam = 'Первое знакомство';
     obj = {vata,stol,teddy};
     enter = function()
		set_music('data/2.ogg');
		inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
	end,
};
meat = obj{
      nam = 'мясо';
      dsc = 'Тедди протягивал мангусту {кусочек} сырого мяса.';
      used = function(s,w)
      if w == act1 then p[[- Я с едой не разговариваю, - подумал Рикки.]];end;
      if w == act2 then p[[- Пахнет вкусно! - облизался Рикки.]];end;
      if w == act3 then goto('loc5');end;
      if w == act4 then p[[- И так достану, - подумал Рикки.]];end;
      end;
};
loc4 = room{
     forcedsc = true;
     pic = 'data/5.jpg',
     nam = 'Первое знакомство';
     dsc = [[Вскочив мальчику на плечо, Рикки заглянул ему за воротник, 
     понюхал ухо и, спустившись на пол, начал тереть себе нос.
     ^- Вот чудеса! И это называется дикий зверёк! - сказала Теддина мать.
     ^- Мангусты все такие,- сказал её муж,- дадим ему что-нибудь поесть.]];
      obj = {meat};
     enter = function()
		set_music('data/2.ogg');
	end,
};
loc5 = room {
     forcedsc = true;
     pic = 'data/4.jpg',
	nam = "Первое знакомство";
    obj = {vway("a1", [[Рикки схватил кусочек мяса. Оно ему страшно понравилось. 
    После завтрака Рикки сейчас же побежал на веранду, присел на солнышке и распушил 
    свою шёрстку, чтобы высушить её до самых корней. И тотчас же ему стало лучше. 
    А вечером, когда Тедди улёгся спать, Рикки прикорнул возле него, но оказался 
    беспокойным соседом, потому что при всяком шорохе вскакивал и бежал 
    разузнавать, в чём дело. Ведь каждый мангуст мечтает о том, чтобы 
    жить в человечьем доме и бегать из комнаты в комнату. 
    ^Так закончился этот день и наступил {новый}.]], 'loc6')
	},
	enter = function()
	    inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/3.ogg');
	end,
};
ternovnik = obj{
      nam = 'терновник';
      dsc = [[^Из {терновника} доносились чьи-то печальные голоса.]];
      used = function(s,w)
      if w == act1 then p[[- Надо подойти ближе, - подумал Рикки.]];end;
      if w == act2 then p[[- Я чувствую запах птичьего гнезда, - подумал Рикки.]];end;
      if w == act3 then p[[- Я не ем такое, - подумал Рикки.]];end;
      if w == act4 then goto('loc7'); end;
      end;
};
rose = obj{
      nam = 'вата';
      dsc =  [[В нём расли огромные {розы} - каждый куст как беседка.]];
      used = function(s,w)
      if w == act1 then p[[- Ну уж нет, - подумал Рикки.]];end;
      if w == act2 then p[[- Пахнет восхитительно, - подумал Рикки.]];end;
      if w == act3 then p[[- Мангусты не едят розы, - подумал Рикки.]];end;
      if w == act4 then p[[- Я не хочу поломать прекрасные розы, - подумал Рикки.]];end;
      end;
};
loc6 = room{
     forcedsc = true;
     pic = 'data/6.jpg',
     nam = 'Утренний сад';
     dsc = [[После завтрака Рикки выбежал в сад. ^Сад был большой, лишь наполовину 
      расчищенный.]];
      obj = {rose, ternovnik};
     enter = function()
		set_music('data/6.ogg');
		inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
	end,
};
bird = obj{
      nam = 'птица';
      dsc =  [[В терновнике жили {Дарзи} и его жена. У них было красивое гнездо: они 
      сшили его из двух большущих листьев тонкими волокнистыми прутиками и 
      набили мягким пухом и хлопком. Гнездо качалось во все стороны, а они 
      сидели на краю и громко плакали.]];
      used = function(s,w)
      if w == act3 then p[[- Ну уж нет, - подумал Рикки.]];end;
      if w == act2 then p[[- Это птица - портной, - подумал Рикки.]];end;
      if w == act1 then goto('loc8'); end;
      if w == act4 then p[[- Гнездо слишком высоко, - подумал Рикки.]];end;
      end;
};
loc7 = room{
     pic = 'data/9.jpg',
     nam = 'Терновник';
      obj = {bird};
     enter = function()
		set_music('data/6.ogg');
	end,
};
loc8 = room{
     pic = 'data/9.jpg',
     nam = 'Терновник';
     obj = {vway("a1", [[
     - Что случилось? - спросил Рикки - Тикки.
     ^- Большое несчастье! - ответил Дарзи. - Один из наших птенчиков 
     вывалился вчера из гнезда, и Наг проглотил его.
     ^- Это очень печально... - сказал Рикки-Тикки, - Но я здесь недавно. 
     Кто такой Наг?
     ^Дарзи и его жена юркнули в гнездо и ничего не ответили. Из-под куста 
     послышалось негромкое {шипение}.]], 'loc9')
	},
     enter = function()
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/6.ogg');
	end,
};
loc9 = room{
     pic = 'data/10.jpg',
     nam = 'Ужасный Наг';
     obj = {vway("a1", [[
     Из травы стала подниматься голова Нага, огромной чёрной кобры 
     пяти футов длины от головы до хвоста. Затем Наг остановился и начал 
     качаться, как одуванчик на ветру:
     ^- Ты спрашиваешь, кто такой Наг? Смотри на меня и дрожи, потому что Наг - это я!
     ^- Ты думаешь, если у тебя узор на спине, так ты имеешь право глотать птенчиков, 
     которые выпадут из гнезда? - Рикки хорошо понимал, что мангусты для того и существуют на свете, 
     чтобы сражаться со змеями. Это было известно и Нагу, поэтому в глубине его холодного сердца был страх.
     ^- Сзади! Сзади! Оглянись! - пел в это время Дарзи.
     ^Рикки подпрыгнул как можно выше и увидел внизу шипящую голову {Нагайны}, злой жены Нага.
     ]], 'loc10')
	},
     enter = function()
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/8.ogg');
	end,
};
loc10 = room{
     pic = 'data/9.jpg',
     nam = 'Терновник';
     obj = {vway("a1", [[
     - Гадкий, гадкий Дарзи! - Наг вытянулся вверх, чтобы достать до гнезда, 
     но Дарзи построил своё гнездо на самой верхушке тернового куста, и оно лишь качнулось на ветке.
     ^Наг и Нагайна юркнули в траву и исчезли. Когда змее случается промахнуться, она не говорит ни единого слова 
     и не показывает, что собирается делать. 
     ^Рикки не пытался преследовать врагов, так как не был уверен, что справится с обоими сразу. 
     Он побежал рысцой по направлениюк {дому}.
     ]], 'loc11')
	},
     enter = function()
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/8.ogg');
	end,
};
snake1 = obj{
      nam = 'Карайт';
      dsc =  [[
     Это была {Карайт}, пыльно - серая змейка, которая любит валяться в песке.]];
      used = function(s,w)
      if w == act1 then p[[- Берегись! Я - Смерть! - зашипела Карайт.]];end;
      if w == act2 then p[[- Жало у неё такое же ядовитое, как у кобры, - подумал Рикки.]];end;
      if w == act3 then goto('loc12'); end;
      if w == act4 then p[[- Она очень маленькая и быстрая, - подумал Рикки.]];end;
      end;
};
loc11 = room{
     pic = 'data/4.jpg';
     forcedsc = true;
     nam = 'Дорожка';
     dsc= [[Рикки - Тикки хорошо понимал, что он ещё молодой и неопытный, поэтому был рад, 
     что ему удалось увернуться от нападения сзади. ^По садовой дорожке к Рикки подошёл 
     Тедди и наклонился, чтобы погладить мангуста. Но в этот момент что-то мелькнуло, извиваясь в пыли.]];
     obj = {snake1},
     enter = function()
     inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/8.ogg');
	end,
};
attack = obj{
      nam = 'атака';
      dsc = '{Атаковать}';
      act = function() 
      q3 = rnd(2); 
           if q3 == 1 then  p[[Рикки нанёс удар.]];
                            hp1 = hp1 - q2*at2; q2 = 1; 
                            p[[Змея нанесла удар.]];  
                            hp2 = hp2 - q1*at1; q1 = 1;
           else q4 = rnd(2);
                if q4 == 1 then p[[Рикки нанёс удар.]]; hp1 = hp1 - q2*at2; q2 = 1; 
                           else p[[Рикки нанёс удар. Змея увернулась.]]; q2 = 1; 
                           q1 = q1*2; if q1 >8 then q1 = 8; end;
                           end;
           end;
      if hp1 < 1 then
      if q5 == 1 then goto('loc13');end;
      if q5 == 2 then goto('loc21');end;
      if q5 == 3 then goto('loc28');end;
      if q5 == 4 then goto('loc31');end;        
      else     
      if hp2 <1 then      
       goto('mission'); inv():del('status'); end;  
      end; end;
};
evade = obj{
      nam = 'уклонение';
      dsc = '^{Уклоняться}';
      act = function()
       q3 = rnd(2); if q3 == 1 then p[[Змея нанесла удар. Рикки увернулся.]];
                                    q1 = 1; q2 = q2*2; if q2 >8 then q2 = 8; end;
       else p[[Змея нанесла удар.]]; hp2 = hp2 - q1*at1; q1 = 1; end;
      if hp2 <1 then  
       goto('mission'); inv():del('status'); end;  
      end;
};
loc12 = room{
     pic = 'data/11.jpg';
     forcedsc = true;
     nam = 'Битва с Карайт';
     dsc= function()
     p('Карайт ^ HP ',hp1,'^ Атака ', at1*q1);
     end;
     obj = {attack,evade},
     enter = function()
     hp1 = 80; at1 = 6;  hp2 = 40; at2 = 10; q1 = 1; q2 = 1;
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
     inv():add('status'); q5 = 1;
		set_music('data/9.ogg');
	end,
};
mission = room{
        nam = 'Миссия провалена';
        pic = 'data/12.jpg';
        dsc = [[Рикки... Рикки? Рикки!]];
    enter = function()
		set_music('data/gameover.ogg');
	end,
};
loc13 = room{
     pic = 'data/4.jpg',
     nam = 'Победа!';
     obj = {vway("a1", [[ 
     Тедди повернулся к дому и крикнул:
     ^- Идите посмотрите: наш мангуст убивает змею!
     ^Отец мальчика выбежал с палкой, но как раз в это время Рикки 
     вскочил на змею и впился зубами чуть пониже её головы. 
     Теддин отец набросился с палкой на мёртвую Карайт. ^Тут к Рикки 
     подбежала мать мальчика и, подняв с земли мангуста, крепко обняла: ^- Ты спас нашего сына от смерти!
     ^Суматоха понравилась Рикки, но он не мог понять, из-за чего она. Ведь для него 
     драться со змеями - одно {удовольствие}. 
     ]], 'loc14')
	},
     enter = function()
        inv():del('status');
		set_music('data/1.ogg');
	end,
};
loc14 = room{
     pic = 'data/5.jpg',
     nam = 'Обед';
     obj = {vway("a1", [[ 
     Когда сели обедать, Рикки мог трижды набить себе брюхо самыми вусными лакомствами, 
     но он помнил о Наге и Нагайне, и хотя ему было очень приятно, что Теддина мать 
     тискает и гладит его, но глаза у него то и дело краснели, и он испускал свой воинственный клич:
      ^- {Рикки - тикки - чик}!
     ]], 'loc15')
	},
     enter = function()
        inv():del('status');
		set_music('data/2.ogg');
	end,
};
teddy1 = obj{
      nam = 'тедди';
      dsc = 'На кровати спал {Тедди}.';
      used = function(s,w)
      if w == act1 then p[[- Не хочу его будить, - подумал Рикки.]];end;
      if w == act2 then p[[- Теперь это мой хозяин, - подумал Рикки.]];end;
      if w == act3 then p[[- Тедди это не понравится, - подумал Рикки.]];end;
      if w == act4 then p[[- Нет, сейчас время для охоты! - подумал Рикки.]];end;
      end;
};
door = obj{
      nam = 'дверь';
      dsc = 'Открытая {дверь} вела наружу.';
      used = function(s,w)
      if w == act1 then p[[- Ну и ну, - подумал Рикки.]];end;
      if w == act2 then p[[- Интересно, что там? - подумал Рикки.]];end;
      if w == act3 then p[[- Хм, - подумал Рикки.]];end;
      if w == act4 then goto('loc16');end;
      end;
};
loc15 = room{
     pic = 'data/13.jpg',
     nam = 'Комната Тедди';
     forcedsc = true;
     dsc = [[Вечером Тедди взял мангуста к себе в постель. Мальчику непременно 
     хотелось, чтобы Рикки спал у него под самым подбородком, на груди. 
     Рикки согласился, но чуть только Тедди заснул, он спустился с постели 
     и пошёл путешеcтвовать по дому.]];
     obj = {teddy1,door};
     enter = function()
        inv():del('status');
        inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/2.ogg');
	end,
};
rat = obj{
     nam = 'крыса';
     dsc = 'Из темноты, пища от страха, выползла мускусная крыса {Чучундра}.';
     used = function(s,w)
      if w == act1 then goto('loc17'); end;
      if w == act2 then p[[- Необыкновенно трусливая мускусная крыса, - подумал Рикки.]];
   
        end;
      if w == act3 then p[[- Пускай себе живёт, - подумал Рикки.]];end;
      if w == act4 then p[[- Делать мне больше нечего, - подумал Рикки.]];end;
      end;
};
dark = obj{
     nam = 'тьма';
     dsc = 'Из тёмной {дыры} в стене доносилось странное шуршание.';
     used = function(s,w)
      if w == act1 then p[[- Эй, ты! Выходи, я тебя слышу! - сказал Рикки.]];end;
      if w == act2 then p[[- Я чую... крысу. Выходи, иначе съем! - сказал Рикки.]];
      objs('loc16'):del('dark'); objs('loc16'):add('rat'); 
        end;
      if w == act3 then p[[- Это может быть опасно, - подумал Рикки.]];end;
      if w == act4 then p[[- Я не знаю, что там, - подумал Рикки.]];end;
      end;
};
loc16 = room{
     pic = 'data/14.jpg',
     nam = 'Гостиная';
     obj = {dark};
     enter = function()
		set_music('data/2.ogg');
	end,
};
loc17 = room{
     pic = 'data/15.jpg',
     nam = 'Чучундра';
     obj = {vway("a1", [[ 
     - Не губи меня, Рикки - Тикки! - закричала она и чуть не заплакала.
     ^- Кто убивает змею, станет ли возиться с какой-то мускусной крысой? - презрительно ответил 
     Рикки - Тикки.
     ^- Я такая несчастная! - рыдала она. - Не могу никак набраться храбрости, чтобы 
     выбежать на середину комнаты. 
     Постой-ка... разве ты не слышишь?
     ^Рикки прислушался. По кирпичному полу шуршала змеиная {чешуя}.
     ]], 'loc18')
	},
     enter = function()
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/2.ogg');
	end,
};
loc18 = room{
     pic = 'data/16.jpg',
     nam = 'Заговор';
     obj = {vway("a1", [[ 
     Пробравшись в  ванную, Рикки услышал, как за стеной в лунном сиянии 
     шупчутся Наг и Нагайна.
     ^- Если в доме не станет людей, сад опять будет наш! И помни, 
     что первым ты должен ужалить Большого Человека, который убил Карайт! - 
     говорила Нагайна мужу.
     ^- Хорошо, я иду. А когда на дынной гряде из яиц вылупятся наши дети, 
     мы станем царём и царицей. Вдвоём!
     ^Услышав это, Рикки весь задрожал от негодования и {ярости}.
     ]], 'loc19')
	},
     enter = function()
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/8.ogg');
	end,
};

nag1 = obj{
     nam = 'Наг';
     dsc = [[Наг свернулся в кольцо, поднял {голову} и стал вглядываться 
       в темноту ванной комнаты. Рикки мог видеть, как мерцают его глаза.]];
      used = function(s,w)
      if w == act1 then p[[- Наг не должен меня заметить - подумал Рикки.]];end;
      if w == act3 then goto('loc20'); end;
      if w == act2 then p[[- Я должен с ним сразиться, - понял Рикки.]];end;
      if w == act4 then p[[- Я должен решить, куда кусать, - подумал Рикки.]]; end;
      end;
};
nag = obj{
     nam = 'Наг';
     dsc = [[{Наг} свернулся в кольцо возле кувшина с водой.]];
      used = function(s,w)
      if w == act1 then p[[- Он не должен меня заметить - подумал Рикки.]];end;
      if w == act2 then p[[- Его уязвимое место - голова над самым капюшоном, - понял Рикки.]];
      objs('loc19'):del('nag'); objs('loc19'):add('nag1'); 
        end;
      if w == act3 then p[[- У него слишком толстая кожа, - подумал Рикки.]];end;
      if w == act4 then p[[- Я должен решить, куда кусать, - подумал Рикки.]];end;
      end;
};
loc19 = room{
     pic = 'data/17.jpg',
     forcedsc = true;
     nam = 'Ванная';
     dsc = [[В ванну через отверстие в трубе просунулась голова Нага, а за ней 
     пять футов его холодного туловища.]];
     obj = {nag};
     enter = function()
        inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/8.ogg');
	end,
};
loc20 = room{
     pic = 'data/18.jpg';
     forcedsc = true;
     nam = 'Битва с Нагом';
     dsc= function()
     p('Наг ^ HP ',hp1,'^ Атака ', at1*q1);
     end;
     obj = {attack,evade},
     enter = function()
     hp1 = 160; at1 = 16;  hp2 = 70; at2 = 25; q1 = 1; q2 = 1;
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
     inv():add('status'); q5 = 2;
		set_music('data/10.ogg');
	end,
};
loc21 = room{
     pic = 'data/19.jpg',
     nam = 'Победа!';
     obj = {vway("a1", [[ 
    Рикки сжимал челюсти всё крепче и крепче. Вдруг у него за спиной словно ударил гром. 
    Это Большой Человек, разбуженный шумом, прибежал с охотничьем ружьём. Змеиная голова 
    перестала двигаться. Тут вошла Теддина мать с очень белым лицом и увидела, что 
    осталось от Нага. Большой Человек поднял Рикки с земли и сказал жене:
    ^- Смотри, опять наш мангуст. В эту ночь, Элис, он спас тебя и меня от смерти!
    ^Рикки кое-как дотащился до спальни и тут же {уснул} от усталости.
     ]], 'loc22');
	},
     enter = function() inv():del('status');
		set_music('data/1.ogg');
	end,
};
bird1 = obj{
      nam = 'Дарзи';
      dsc = [[Наступило утро. Не дожидаясь завтрака, Рикки - Тикки со всех ног бросился к терновому кусту.
    {Дарзи} сидел в гнезде и что есть мочи распевал весёлую победную песню. Весь сад уже 
    знал о гибели Нага, потому что Большой Человек швырнул его тело на свалку.]];
    used = function(s,w)
      if w == act1 then 
      p[[- Ах ты глупый пучок перьев! Разве теперь время для песен? Нагайна ведь ещё жива! - крикнул Рикки.]];
                   end;
      if w == act2 then p[[- Очень глупая птица, - подумал Рикки.]];end;
      if w == act3 then p[[- Дарзи от этого не поумнеет, - подумал Рикки.]];end;
      if w == act4 then p[[- Слишком высоко для меня, - подумал Рикки.]];end;
      end;
};
bird2 = obj{
      nam = 'Дарзи';
      dsc = [[Рядом в гнезде сидела {жена} Дарзи.]];
    used = function(s,w)
      if w == act1 then goto('loc23');end;
      if w == act2 then p[[- Хорошо, что у Дарзи умная жена, - подумал Рикки.]];end;
      if w == act3 then p[[- Я не обижаю дам, - подумал Рикки.]];end;
      if w == act4 then p[[- Нет, так не пойдёт, - подумал Рикки.]];end;
      end;
};
loc22 = room{
     pic = 'data/8.jpg',
     nam = 'Утро';
     obj = {bird1,bird2},
     enter = function()
     inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/7.ogg');
	end,
};
loc23 = room{
     pic = 'data/7.jpg',
     nam = 'План';
     obj = {vway("a1", [[ 
    Ум у Дарзи был птичий, но его жена была умнее:
    ^- Рикки, я отвлеку Нагайну. Она сейчас на мусорной куче оплакивает Нага. 
    А ты беги к дынной гряде! Змеёныши вылупятся уже совсем скоро!
    ^- Спасибо! Я не подведу! - крикнул Рикки, исчезая в зелени листвы. 
    Вскоре он прибежал к дынной гряде, что находилась у самого {забора}.
     ]], 'loc24');
	},
     enter = function() 
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/7.ogg');
	end,
};
eggs = obj{
      nam = 'дыня';
      dsc = [[В разопрелой земле лежали змеиные {яйца}, покрытые белёсой кожурой.]];
    used = function(s,w)
      if w == act1 then p[[- Разговор с ними короткий, - подумал Рикки.]];end;
      if w == act2 then p[[- Как только они вылупятся из яиц, каждая может убить человека 
      и мангуста, - подумал Рикки.]];end;
      if w == act3 then goto('loc25');end;
      if w == act4 then p[[- Это не поможет, - подумал Рикки.]];end;
      end;
};
dynia = obj{
      nam = 'дыня';
      dsc = [[Дыни лежали в разопрелой {земле}.]];
    used = function(s,w)
      if w == act1 then p[[- Сейчас не время болтать, - подумал Рикки.]];end;
      if w == act3 then p[[- Я не червяк, чтобы есть землю, - подумал Рикки.]];end;
      if w == act2 then 
      p[[Рикки отыскал 25 змеиных яиц, очень искусно припрятанных.]];
      objs('loc24'):del('dynia');objs('loc24'):add('eggs');
                   end;
      if w == act4 then p[[- Не сейчас, - подумал Рикки.]];end;
      end;
};

loc24 = room{
     pic = 'data/20.jpg',
     nam = 'Дынная гряда';
     forcedsc = true;
     dsc = 'Времени оставалось мало. Нагайна могла появится в любой момент.';
     obj = {dynia},
     enter = function()
     inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/7.ogg');
	end,
};
loc25 = room{
     pic = 'data/7.jpg',
     nam = 'Тревожная новость';
     obj = {vway("a1", [[ 
    Рикки надкусил все яйца кроме одного. Вдруг из кустов вылетела жена Дарзи и закричала:
    ^- Рикки - Тикки! Скорее, скорее! Нагайна поползла к дому! Она замышляет убийство!
    ^Рикки взял последнее яйцо в зубы и помчался к {веранде}.
     ]], 'loc26');
	},
     enter = function() 
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
		set_music('data/5.ogg');
	end,
};
nagayna = obj{
      nam = 'Нагайна';
      dsc = function()
               if q1 < 2 
               then p[[Тедди, его мать и отец сидели с белыми лицами, боясь шелохнуться. 
     А на циновке у самого Теддиного стула извивалась кольцами {Нагайна}. 
     Она подползла так близко, что могла в любой момент ужалить ногу Тедди.]];
                else 
     p[[Тедди, его мать и отец сидели с белыми лицами, боясь шелохнуться. 
     А на циновке у самого Теддиного стула извивалась кольцами {Нагайна}. ]];
                end;
            end;
    used = function(s,w)
      if w == act1 then
      if q1 == 2 then 
      p[[- О, дай его мне! - закричала Нагайна.]];end; 
      if q1 == 1 then q1 = 2;
      p[[- Погляди на своих змеёнышей! Там у забора, на дынной гряде! Ступай и погляди, 
      что сталось с ними! - закричал Рикки - Тикки - Тави.
      ^Нагайна повернулась к Рикки - Тикки. Последнее яйцо, лежавшее на веранде, заставило её забыть обо всём. 
      ^В это время отец оттащил Тедди в безопасное место.]];
                end;
      if q1 == 0 then q1 = 1;
      p[[Раскачиваясь из стороны в стороны, Нагайна пела победную песню:
      ^- Сын Большого Человека, сиди и не двигайся. Я ещё не готова. 
      И вы все тоже сидите потише. Если вы шевельнётесь, я ужалю его! 
      Если вы не шевельнётесь, я тоже ужалю! О, глупые люди, убившие Нага!]];end;
      end;                
      if w == act2 then 
      if q1 < 2 then p[[- Я должен отвлечь её, - подумал Рикки.]];
      else p[[- Мне удалось обмануть её, - подумал Рикки.]];end;
                   end;
      if w == act3 then 
      if q1 < 2 then p[[- Я не могу рисковать жизнью Тедди, - подумал Рикки.]];
      else goto('loc27'); end;
                   end;     
      if w == act4 then 
      if q1 < 2 then p[[- Я не успею, она укусит Тедди, - подумал Рикки.]];
      else p[[- Пусть нападает первой, - подумал Рикки.]];end;
                   end;
      end;
};
loc26 = room{
     pic = 'data/22.jpg';
     nam = 'Веранда';
     obj = {nagayna},
     enter = function() q1 = 0;
     inv():add('act1');inv():add('act2');inv():add('act3');inv():add('act4');
		set_music('data/5.ogg');
	end,
};
loc27 = room{
     pic = 'data/23.jpg';
     forcedsc = true;
     nam = 'Битва с Нагайной';
     dsc= function()
     p('Нагайна ^ HP ',hp1,'^ Атака ', at1*q1);
     end;
     obj = {attack,evade},
     enter = function()
     hp1 = 280; at1 = 24;  hp2 = 120; at2 = 40; q1 = 1; q2 = 1;
     inv():del('act1');inv():del('act2');inv():del('act3');inv():del('act4');
     inv():add('status'); q5 = 3;
		set_music('data/12.ogg');
	end,
};
loc28 = room{
     pic = 'data/21.jpg',
     nam = 'Змеиная нора';
     obj = {vway("a1", [[ 
    Нагайна подхватила яйцо и, соскользнув со ступеней веранды, понеслась как стрела 
    по дорожке. Когда она шмыгнула в свою змеиную нору, белые зубы Рикки 
    вцепились ей в хвост, и он протиснулся {туда} вслед за нею.
     ]], 'loc29');
	},
     enter = function() 
     inv():del('status');
		set_music('data/8.ogg');
	end,
};
loc29 = room{
     pic = 'data/8.jpg',
     nam = 'Дарзи';
     obj = {vway("a1", [[ 
    Вскоре трава у входа в нору перестала качаться, и Дарзи сказал:
    ^- Пропал Рикки - Тикки! Мы должны спеть ему прощальную песню! 
    Бесстрашный Рикки - Тикки погиб. Нагайна убьёт его в своём подземелье, 
    в этом нет никакого {сомнения}.
     ]], 'loc30');
	},
     enter = function() 
		set_music('data/8.ogg');
	end,
};
loc30 = room{
     pic = 'data/24.jpg';
     forcedsc = true;
     nam = 'Финальная битва с Нагайной';
     dsc= function()
     p('Нагайна ^ HP ',hp1,'^ Атака ', at1*q1);
     end;
     obj = {attack,evade},
     enter = function()
     hp1 = 320; at1 = 34;  hp2 = 160; at2 = 50; q1 = 1; q2 = 1;
     inv():add('status'); q5 = 4;
		set_music('data/11.ogg');
	end,
};
loc31 = room{
     pic = 'data/1.jpg',
     nam = 'Утренний сад';
     obj = {vway("a1", [[ 
    Трава над норой зашевелилась. Оттуда вылез Рикки, стряхнул с себя пыль и чихнул.
    ^- Всё кончено! Нагайны больше нет! Знайте все, что теперь этот сад свободен!
    ^Дарзи запищал от радости и запел радостную {песню}.
     ]], 'loc32');
	},
     enter = function() 
        inv():del('status');
		set_music('data/4.ogg');
	end,
};
loc32 = room{
     pic = 'data/8.jpg',
     nam = 'Песня Дарзи';
     obj = {vway("a1", [[Кто он, избавивший нас?
        ^Имя его мне открой.
        ^Рикки - сверкающий глаз,
        ^Тикки - бесстрашный герой,
        ^Рикки - Тикки -Тикки, герой наш великий,
        ^Наш огнеглазый {герой!}]], 'loc33');
	},
     enter = function() 
		set_music('data/4.ogg');
	end,
};
loc33 = room{
     pic = 'data/2.jpg',
     nam = 'Миссия выполнена';
     dsc = [[Рикки - Тикки имел право гордиться собою. Но всё же он не слишком важничал
     и, как настоящий мангуст, охранял этот сад и зубом, и когтем, и наскоком, 
     так что ни одна кобра не смела сунуться сюда через ограду. ]];
     enter = function() 
		set_music('data/4.ogg');
	end,
};
